// creator  : weidu.exe (version 23100)
// argument : TREMAI.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TREMAI~

IF ~NumTimesTalkedTo(0)
Global("HelpVarci","GLOBAL",1)
!Dead("Varci")
~ THEN BEGIN 0 // from:
  SAY #12645 /* ~Please hurry!~ */
  IF ~~ THEN DO ~~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #12646 /* ~I am unsure... you seem far too eager, somehow.  How do I know I can trust you?~ */
  IF ~~ THEN DO ~~ EXTERN ~VARCI~ 7
END

IF ~~ THEN BEGIN 2 // from: VARCI:7.0
  SAY #12647 /* ~What?!  What manner of sorcery is this?!  You turn into a boy before my eyes and expect me to trust you?  Explain yourself!~ */
  IF ~~ THEN DO ~~ EXTERN ~VARCI~ 8
END

IF ~~ THEN BEGIN 3 // from: VARCI:8.0
  SAY #12648 /* ~(sniff!)  I just would like to be free, ever so much, <SIRMAAM>.  Please help me.  Please let me go.~ */
  IF ~~ THEN REPLY #12662 /* ~What?  Impudent lout!~ */ DO ~~ GOTO 4
  IF ~~ THEN REPLY #12663 /* ~Now I will kill you all, foolish ones!~ */ DO ~~ GOTO 5
  IF ~~ THEN REPLY #12664 /* ~Do you know anything about the prison, such as a way out?~ */ DO ~~ GOTO 8
  IF ~~ THEN REPLY #12665 /* ~Are you sure you don't know who is behind all of this?  Anything you could tell me would be most useful.~ */ DO ~~ GOTO 7
END

IF ~~ THEN BEGIN 4 // from: 5.1 3.0
  SAY #12649 /* ~I know not what you are, but you will stay in that glass cage safely away from me.~ */
  IF ~~ THEN REPLY #12666 /* ~Whatever you are, I have decided to end your existence just in case!~ */ DO ~~ GOTO 7
  IF ~~ THEN REPLY #12667 /* ~No, I am sorry.  I saw nothing when I was brought here.~ */ DO ~~ GOTO 5
  IF ~~ THEN REPLY #12668 /* ~No, I have seen nothing of my captor since my arrival.  Only his servants.  I am afraid I know little.~ */ DO ~~ GOTO 8
  IF ~~ THEN REPLY #12669 /* ~I cannot wait to finally be free of this horrible place.  Thank you for allowing me to follow you out, my <LADYLORD>.~ */ DO ~~ GOTO 7
END

IF ~~ THEN BEGIN 5 // from: 4.1 3.1
  SAY #12650 /* ~No, no, please!  Won't you even help a little boy?  Ooooh...~ */
  IF ~~ THEN REPLY #12670 /* ~No, it is nothing.~ */ DO ~~ GOTO 6
  IF ~~ THEN REPLY #12671 /* ~I'm the best at what I do, and what I do ain't pretty!~ [SSWORD36] */ DO ~~ GOTO 4
  IF ~~ THEN REPLY #12672 /* ~What?!  You attack me?!~ */ DO ~~ GOTO 8
  IF ~~ THEN REPLY #12673 /* ~I find it truly amazing that you have made it this far, tasty one, seeing as you can be so easily fooled!~ */ DO ~~ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #12651 /* ~You talk like a boy, but a moment ago you spoke as an old man.  I would know what you were before I free you... I have had enough of doppelgangers.~ */
END

IF ~~ THEN BEGIN 7 // from: 5.3 4.3 4.0 3.3
  SAY #12652 /* ~I'm not a dop, a dop... one of those.  Whatever that is, <SIRMAAM>.  Ooooh, I don't know what to say to get you to help me.  I've been in here for so long.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.2 4.2 3.2
  SAY #12653 /* ~Ah, very well, then.  I will attempt to release you, then.  I shall watch you carefully, however, and the first move you make shall be your last!~ */
  IF ~~ THEN DO ~SetGlobal("HelpTremain","GLOBAL",1)
~ JOURNAL #20727 /* ~~ */ EXIT
END

IF ~!PartyHasItem("MISC54")
Global("TremainMove","GLOBAL",0)
!Dead("Varci")
~ THEN BEGIN 9 // from:
  SAY #12654 /* ~I would be quite the fool to release you, then, wouldn't I.  You'll stay where you are until you convince me otherwise.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 10 // from:
  SAY #12655 /* ~I'll not be so easily tricked!  You'll stay behind that glass where you belong!~ */
  IF ~~ THEN DO ~~ EXTERN ~VARCI~ 10
END

IF ~PartyHasItem("MISC54")
Global("TremainMove","GLOBAL",0)
~ THEN BEGIN 11 // from:
  SAY #12656 /* ~Very well.  Be warned, however, that I shall keep a close eye on you.  The first sign of a threat from you and it shall be the last you make, I swear.~ */
  IF ~~ THEN DO ~TakePartyItem("MISC54")
DestroyItem("MISC54")
MoveToPoint([420.320])
SetGlobal("TremainMove","GLOBAL",1)
~ EXIT
END

IF ~Global("TremainMove","GLOBAL",1)
~ THEN BEGIN 12 // from:
  SAY #12657 /* ~Thank you!  Oh, thank you ever so much!  Please hurry!~ */
  IF ~~ THEN DO ~SetGlobal("TremainMove","GLOBAL",2)
CreateCreature("CASSON",[413.334])
ActionOverride("Casson",Dialogue([PC]))
~ EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #12658 /* ~Please let me out of here, I beg of you to hurry!~ */
  IF ~~ THEN DO ~~ EXTERN ~CASSON~ 1
END

IF ~~ THEN BEGIN 14 // from:
  SAY #12659 /* ~Thank you kindly for letting me go.  I am ever so tired, but I cannot wait to taste true freedom.~ */
  IF ~~ THEN DO ~~ EXTERN ~CASSON~ 2
END

IF ~~ THEN BEGIN 15 // from:
  SAY #12660 /* ~Thanks for freeing me!  I am not being troublesome, am I?  I mean no harm.~ */
  IF ~~ THEN DO ~~ EXTERN ~CASSON~ 3
END

IF ~~ THEN BEGIN 16 // from:
  SAY #12661 /* ~I shall not endanger my party by having you at our backs.  Find your own way to the surface.~ */
  IF ~~ THEN DO ~~ EXTERN ~CASSON~ 4
END
